tigase.jaxmpp.core.client.xmpp.modules.muc

## Enum Role

- java.lang.Object
- - java.lang.Enum<Role>
  - - tigase.jaxmpp.core.client.xmpp.modules.muc.Role

- All Implemented Interfaces:
    Serializable, Comparable<Role>

      public enum Role
      extends Enum<Role>

  Author:
    bmalkow

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `moderator`
    `none`
    `participant`
    `visitor`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getWeight()`
    `boolean` | `isChangeAvailabilityStatus()`
    `boolean` | `isChangeRoomNickname()`
    `boolean` | `isGrantVoice()`
    `boolean` | `isInviteOtherUsers()`
    `boolean` | `isKickParticipantsAndVisitors()`
    `boolean` | `isModifySubject()`
    `boolean` | `isPresenceBroadcastedToRoom()`
    `boolean` | `isPresentInRoom()`
    `boolean` | `isReceiveMessages()`
    `boolean` | `isReceiveOccupantPresence()`
    `boolean` | `isRevokeVoice()`
    `boolean` | `isSendMessagesToAll()`
    `boolean` | `isSendPrivateMessages()`
    `static Role` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Role[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### moderator

          public static final Role moderator

    - #### none

          public static final Role none

    - #### participant

          public static final Role participant

    - #### visitor

          public static final Role visitor

  - ### Method Detail

    - #### values

          public static Role[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Role c : Role.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Role valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getWeight

          public int getWeight()

    - #### isChangeAvailabilityStatus

          public boolean isChangeAvailabilityStatus()

    - #### isChangeRoomNickname

          public boolean isChangeRoomNickname()

    - #### isGrantVoice

          public boolean isGrantVoice()

    - #### isInviteOtherUsers

          public boolean isInviteOtherUsers()

    - #### isKickParticipantsAndVisitors

          public boolean isKickParticipantsAndVisitors()

    - #### isModifySubject

          public boolean isModifySubject()

    - #### isPresenceBroadcastedToRoom

          public boolean isPresenceBroadcastedToRoom()

    - #### isPresentInRoom

          public boolean isPresentInRoom()

    - #### isReceiveMessages

          public boolean isReceiveMessages()

    - #### isReceiveOccupantPresence

          public boolean isReceiveOccupantPresence()

    - #### isRevokeVoice

          public boolean isRevokeVoice()

    - #### isSendMessagesToAll

          public boolean isSendMessagesToAll()

    - #### isSendPrivateMessages

          public boolean isSendPrivateMessages()

Copyright © 2006–2019 Tigase. All rights reserved.